Simular condições de recompra
curl --request POST \
--url https://api.example.com/api/services/app/Recompra/Simular \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"document": "<string>",
"cardNumber": "<string>",
"value": 123
}
'import requests
url = "https://api.example.com/api/services/app/Recompra/Simular"
payload = {
"document": "<string>",
"cardNumber": "<string>",
"value": 123
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({document: '<string>', cardNumber: '<string>', value: 123})
};
fetch('https://api.example.com/api/services/app/Recompra/Simular', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"buyValue": 123,
"totalFunded": 123,
"availableBalance": 123,
"cardLimit": 123,
"additionalLimit": 123,
"cardNumber": "<string>",
"services": [
{
"id": 123,
"name": "<string>",
"total": 123
}
],
"installments": [
{
"totalValue": 123,
"installments": 123,
"installmentsValue": 123
}
]
}Recompra
Simular condições de recompra
POST
/
api
/
services
/
app
/
Recompra
/
Simular
Simular condições de recompra
Simula uma recompra a partir do cartão e do valor informados.
Autentique-se antes (Autenticação).
curl -X POST "https://gateway.hubcred.com.br/external/v1/api/services/app/Recompra/Simular" \
-H "Authorization: Bearer SEU_TOKEN" -H "Content-Type: application/json" \
-d '{ "document": "12345678900", "cardNumber": "1234567890123456", "value": 800 }'
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Input com os dados para simulação
Response
OK
Resultado da simulação de venda externa.
Valor de compra.
Valor total financiado.
Saldo disponível.
Limite do cartão.
Limite adicional.
Número do cartão.
Lista de serviços adicionais da operação.
Show child attributes
Show child attributes
Lista de opções de parcelamento.
Show child attributes
Show child attributes
⌘I